Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jedit.options
Class PluginOptionGroup

    java.lang.Object
      org.gjt.sp.jedit.OptionGroup
          org.jedit.options.PluginOptionGroup

    public class PluginOptionGroup

extends OptionGroup

Refactored from PluginOptions.java - this class contains only the OptionGroup and none of the GUI code.

Since:
  jedit5.0

Nested Class Summary
`static class` | `PluginOptionGroup.NoPluginsPane`
`class` | `PluginOptionGroup.OptionTreeModel`

Field Summary

Fields inherited from class org.gjt.sp.jedit.OptionGroup
`label, members, name`

Constructor Summary
`PluginOptionGroup()`

Method Summary
`PluginOptionGroup.OptionTreeModel` | `createOptionTreeModel()`

Methods inherited from class org.gjt.sp.jedit.OptionGroup
`addOptionGroup, addOptionPane, addOptionPane, getLabel, getMember, getMemberCount, getMemberIndex, getMembers, getName, setSort`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PluginOptionGroup

    public PluginOptionGroup()

Method Detail

### createOptionTreeModel

    public PluginOptionGroup.OptionTreeModel createOptionTreeModel()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD